Subject: Ticket Assigned - Returns
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 28 May 2022 02:12:04 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I tried the car seat I bought and I was not happy with the way the lower harness and the hip belts rest on my baby’s legs.
He was not comfortable and I didn’t find it safe as his arms could go through the belt no matter how tight it was.
As you can see the lower harness is way too low, making the hip belts put too much pressure on his legs and restraining his movements which made him unhappy. The arms could go under the belts as the lower harness created a big gap since it could not be adjusted tightly to the body without cutting the circulation in his legs.
He is 5.400kg and 60cm.
We tried with and without the newborn inserts.
If it is a defect, I would like go get a replacement.
If it is correct then I would like to return this car seat and get a refund.
Order number 9566509073 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4221728